Subject: IPP> Re: PP> PRO - A value-type field for the Protocol Spec

From: Larry Masinter <[email-masked]>
Date: Mon, 9 Jun 1997 13:31:37 PDT

Just to clarify, since someone said:

> > I think Larry Masinter
> > brought up the fact that ASN.1
> > might be a better approach ...

I did not intend to assert that "ASN.1 might be a better
approach" out of context. I would like to assert that
if you continue to add complexity to what was originally
a simple attribute/value representation, that you would
wind up with something with all the complexity of ASN.1
and none of the compatibility.

However, if you want to go back to an ASCII protocol,
the "name: value" syntax has a number of difficulties
with extended values and structures that make it actually
more complex to deal with in the long run.

The simple test of <len>name<len>value vs name: value
parsing doesn't really test the issue: what if there
are values that are really long? Or have some structure
in them? Or 'continuation lines'? Is it always line oriented?
What about values that are themselves name-value pairs?

So, if you want an ASCII protocol, consider something like
XML, which is set up to deal with nesting.

Larry
-- 
http://www.parc.xerox.com/masinter